package com.fjhx.account.controller.account;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.fjhx.common.constant.SourceConstant;
import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.account.vo.AccountDeptRunningWaterVo;
import com.fjhx.account.entity.account.dto.AccountDeptRunningWaterSelectDto;
import com.fjhx.account.entity.account.dto.AccountDeptRunningWaterDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.account.service.account.AccountDeptRunningWaterService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 部门-资金流水关联表 前端控制器
 * </p>
 *
 * @author
 * @since 2023-04-13
 */
@DS(SourceConstant.ACCOUNT)
@RestController
@RequestMapping("/accountDeptRunningWater")
public class AccountDeptRunningWaterController {

    @Autowired
    private AccountDeptRunningWaterService accountDeptRunningWaterService;

    /**
     * 部门-资金流水关联表分页
     */
    @PostMapping("/page")
    public Page<AccountDeptRunningWaterVo> page(@RequestBody AccountDeptRunningWaterSelectDto dto) {
        return accountDeptRunningWaterService.getPage(dto);
    }

    /**
     * 部门-资金流水关联表明细
     */
    @PostMapping("/detail")
    public AccountDeptRunningWaterVo detail(@RequestBody BaseSelectDto dto) {
        return accountDeptRunningWaterService.detail(dto.getId());
    }

    /**
     * 部门-资金流水关联表新增
     */
    @PostMapping("/add")
    public void add(@RequestBody AccountDeptRunningWaterDto accountDeptRunningWaterDto) {
        accountDeptRunningWaterService.add(accountDeptRunningWaterDto);
    }

    /**
     * 部门-资金流水关联表编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody AccountDeptRunningWaterDto accountDeptRunningWaterDto) {
        accountDeptRunningWaterService.edit(accountDeptRunningWaterDto);
    }

    /**
     * 部门-资金流水关联表删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        accountDeptRunningWaterService.delete(dto.getId());
    }

}
