package com.fjhx.account.service.account.impl;

import com.fjhx.account.entity.account.po.AccountDeptRunningWaterDetail;
import com.fjhx.account.mapper.account.AccountDeptRunningWaterDetailMapper;
import com.fjhx.account.service.account.AccountDeptRunningWaterDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.account.vo.AccountDeptRunningWaterDetailVo;
import com.fjhx.account.entity.account.dto.AccountDeptRunningWaterDetailSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.fjhx.account.entity.account.dto.AccountDeptRunningWaterDetailDto;
import cn.hutool.core.bean.BeanUtil;


/**
 * <p>
 * 资金流水分拆部门表 服务实现类
 * </p>
 *
 * @author
 * @since 2023-04-13
 */
@Service
public class AccountDeptRunningWaterDetailServiceImpl extends ServiceImpl<AccountDeptRunningWaterDetailMapper, AccountDeptRunningWaterDetail> implements AccountDeptRunningWaterDetailService {

    @Override
    public Page<AccountDeptRunningWaterDetailVo> getPage(AccountDeptRunningWaterDetailSelectDto dto) {
        IWrapper<AccountDeptRunningWaterDetail> wrapper = getWrapper();
        wrapper.orderByDesc("adrwd", AccountDeptRunningWaterDetail::getId);
        Page<AccountDeptRunningWaterDetailVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public AccountDeptRunningWaterDetailVo detail(Long id) {
        AccountDeptRunningWaterDetail AccountDeptRunningWaterDetail = this.getById(id);
        AccountDeptRunningWaterDetailVo result = BeanUtil.toBean(AccountDeptRunningWaterDetail, AccountDeptRunningWaterDetailVo.class);
        return result;
    }

    @Override
    public void add(AccountDeptRunningWaterDetailDto accountDeptRunningWaterDetailDto) {
        this.save(accountDeptRunningWaterDetailDto);
    }

    @Override
    public void edit(AccountDeptRunningWaterDetailDto accountDeptRunningWaterDetailDto) {
        this.updateById(accountDeptRunningWaterDetailDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
