package com.fjhx.account.service.account.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.fjhx.account.entity.account.po.AccountDeptRunningWater;
import com.fjhx.account.mapper.account.AccountDeptRunningWaterMapper;
import com.fjhx.account.service.account.AccountDeptRunningWaterService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.account.vo.AccountDeptRunningWaterVo;
import com.fjhx.account.entity.account.dto.AccountDeptRunningWaterSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.fjhx.account.entity.account.dto.AccountDeptRunningWaterDto;
import cn.hutool.core.bean.BeanUtil;


/**
 * <p>
 * 部门-资金流水关联表 服务实现类
 * </p>
 *
 * @author
 * @since 2023-04-13
 */
@Service
public class AccountDeptRunningWaterServiceImpl extends ServiceImpl<AccountDeptRunningWaterMapper, AccountDeptRunningWater> implements AccountDeptRunningWaterService {

    @Override
    public Page<AccountDeptRunningWaterVo> getPage(AccountDeptRunningWaterSelectDto dto) {
        QueryWrapper<Object> wrapper = Wrappers.query();
        Page<AccountDeptRunningWaterVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);

        return page;
    }

    @Override
    public AccountDeptRunningWaterVo detail(Long id) {
        AccountDeptRunningWater AccountDeptRunningWater = this.getById(id);
        AccountDeptRunningWaterVo result = BeanUtil.toBean(AccountDeptRunningWater, AccountDeptRunningWaterVo.class);
        return result;
    }

    @Override
    public void add(AccountDeptRunningWaterDto accountDeptRunningWaterDto) {
        this.save(accountDeptRunningWaterDto);
    }

    @Override
    public void edit(AccountDeptRunningWaterDto accountDeptRunningWaterDto) {
        this.updateById(accountDeptRunningWaterDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
