package com.fjhx.purchase.service.pay.impl;

import com.fjhx.purchase.entity.pay.po.Pay;
import com.fjhx.purchase.mapper.pay.PayMapper;
import com.fjhx.purchase.service.pay.PayService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.pay.vo.PayVo;
import com.fjhx.purchase.entity.pay.dto.PaySelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.fjhx.purchase.entity.pay.dto.PayDto;
import cn.hutool.core.bean.BeanUtil;


/**
 * <p>
 * 采购付款 服务实现类
 * </p>
 *
 * @author 
 * @since 2023-04-13
 */
@Service
public class PayServiceImpl extends ServiceImpl<PayMapper, Pay> implements PayService {

    @Override
    public Page<PayVo> getPage(PaySelectDto dto) {
        IWrapper<Pay> wrapper = getWrapper();
        wrapper.orderByDesc("p", Pay::getId);
        Page<PayVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public PayVo detail(Long id) {
        Pay Pay = this.getById(id);
        PayVo result = BeanUtil.toBean(Pay, PayVo.class);
        return result;
    }

    @Override
    public void add(PayDto payDto) {
        this.save(payDto);
    }

    @Override
    public void edit(PayDto payDto) {
        this.updateById(payDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
